﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace Futár
{
    class Program
    {
        struct EgyÚt
        {
            public int nap, sorszám, út, fizetés;
        }

        static EgyÚt[] utak = new EgyÚt[280];
        static int n = 0;
        static int[] db = new int[8];
        static int[] napkm = new int[8];

        static void Main(string[] args)
        {
            Feladat1();
            Feladat2();
            Feladat3();
            Feladat4();
            Feladat5();
            Feladat6();
            Feladat7();
            Feladat8();
            Feladat9();

            Console.ReadKey();
        }

        static void Feladat1()
        {
            StreamReader olvasó = new StreamReader("../../tavok.txt");
            string[] egysor = new string[3];

            Console.WriteLine("1. feladat. Az adatok beolvasása.");
            while (olvasó.Peek() > -1)
            {
                egysor = olvasó.ReadLine().Split(' ');
                utak[n].nap = Convert.ToInt32(egysor[0]);
                utak[n].sorszám = Convert.ToInt32(egysor[1]);
                utak[n].út = Convert.ToInt32(egysor[2]);
                n++;
            }
            for (int i = 0; i < n; i++)
                db[utak[i].nap]++;
        }

        static void Feladat2()
        {
            int i = 0;
            int km = 0;
            while (db[i] == 0) i++;
            for (int j = 0; j < n; j++)
                if (utak[j].nap == i && utak[j].sorszám == 1)
                    km = utak[j].út;
            Console.WriteLine("2. feladat. A futár első fuvarja {0} km hosszú volt.", km);
        }

        static void Feladat3()
        {
            int i = 7;
            int km = 0;
            while (db[i] == 0) i--;
            for (int j = 0; j < n; j++)
                if (utak[j].nap == i && utak[j].sorszám == db[i])
                    km = utak[j].út;
            Console.WriteLine("3. feladat. A futár utolsó fuvarja {0} km hosszú volt.", km);
        }

        static void Feladat4()
        {
            Console.Write("4. feladat. A futár nem dolgozott a következő napokon: ");
            for (int i = 1; i < 8; i++)
                if (db[i] == 0)
                    Console.Write("{0} ", i);
            Console.WriteLine();
        }

        static void Feladat5()
        {

            int max = db[1];
            int maxh = 1;
            for (int i = 2; i < 8; i++)
            {
                if (db[i] > max)
                {
                    max = db[i];
                    maxh = i;
                }
            }
            Console.WriteLine("5. feladat. A legtöbb fuvar a {0}. napon volt.", maxh);
        }

        static void Feladat6()
        {
            for (int i = 0; i < n; i++)
                napkm[utak[i].nap] += utak[i].út;

            Console.WriteLine("6. feladat");
            for (int i = 1; i < 8; i++)
                Console.WriteLine("{0}. nap: {1} km", i, napkm[i]);
        }

        static int dij(int hossz)
        {
            int Ft = 500;
            if (hossz >= 3 && hossz <= 5) Ft = 700;
            if (hossz >= 6 && hossz <= 10) Ft = 900;
            if (hossz >= 11 && hossz <= 20) Ft = 1400;
            if (hossz >= 21 && hossz <= 30) Ft = 2000;
            return Ft;
        }

        static void Feladat7()
        {
            int km;
            Console.WriteLine("7. feladat");
            Console.Write("Egy út hossza=");
            km = Convert.ToInt32(Console.ReadLine());
            Console.WriteLine("Ezért az útért {0} Ft díjazás jár.", dij(km));
        }

        static void Feladat8()
        {
            Console.WriteLine("8. feladat. Az adatok kiírása.");
            StreamWriter iró = new StreamWriter("../../dijazas.txt");
            for (int i = 0; i < n; i++)
            {
                utak[i].fizetés = dij(utak[i].út);
                iró.WriteLine("{0}. nap {1}. út: {2} Ft", utak[i].nap, utak[i].sorszám, utak[i].fizetés);
            }
            iró.Close();
        }

        static void Feladat9()
        {
            int össz = 0;
            for (int i = 0; i < n; i++)
                össz += utak[i].fizetés;
            Console.WriteLine("9. feladat. A futár {0} Ft-ot kap.", össz);
        }

    }
}

